- Qt 6.8
- Qt GUI
- C++ Classes
- QWheelEvent
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QWheelEvent

The following members of class QWheelEvent are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` Qt::MouseEventSource | source() const

## Member Function Documentation

### `[deprecated in 6.0]` Qt::MouseEventSource QWheelEvent::source() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use pointingDevice() instead.

Returns information about the wheel event source.

The source can be used to distinguish between events that come from a mouse with a physical wheel and events that are generated by some other means, such as a flick gesture on a touchpad. This enum tells you from where it was synthesized; but often it's more useful to know from which device it was synthesized, so try to use pointingDevice() instead.

Note: Many platforms provide no such information. On such platforms Qt::MouseEventNotSynthesized is returned always.

See also Qt::MouseEventSource.